Bug 431360 - no sound on headphones on a dell inspiron 1420
no sound on headphones on a dell inspiron 1420
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
: 432570 432684 436590 (view as bug list)
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2008-02-03 10:32 EST by Rafael Ávila de Espíndola
Modified: 2009-12-18 01:03 EST (History)
7 users (show)

See Also:
Fixed In Version: 2.6.23.15-137.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:03:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (37.09 KB, text/plain)
2008-02-03 10:34 EST, Rafael Ávila de Espíndola
no flags Details
lsmod (3.21 KB, application/octet-stream)
2008-02-03 10:35 EST, Rafael Ávila de Espíndola
no flags Details
scsconfig.log (56.75 KB, text/plain)
2008-02-05 05:04 EST, Sergio Morais Lietti
no flags Details
scsrun.log (9.32 KB, text/plain)
2008-02-05 05:04 EST, Sergio Morais Lietti
no flags Details
scsconfig.log (53.58 KB, text/plain)
2008-02-12 07:17 EST, Sergio Morais Lietti
no flags Details
scsrun.log (2.93 KB, text/plain)
2008-02-12 07:18 EST, Sergio Morais Lietti
no flags Details
scsconfig.log with kernel.i686 2.6.24.2-7.fc8 (59.47 KB, text/plain)
2008-02-25 18:18 EST, Sergio Morais Lietti
no flags Details
scsrun.log with kernel.i686 2.6.24.2-7.fc (195 bytes, text/plain)
2008-02-25 18:19 EST, Sergio Morais Lietti
no flags Details

  None (edit)
Description Rafael Ávila de Espíndola 2008-02-03 10:32:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
No sound is produced in any application. No error is reported.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Install X86_64 version. Try to play any audio
2.
3.

Actual Results:


Expected Results:


Additional info:
Downloading the i386 version to see if it also has the bug
Comment 1 Rafael Ávila de Espíndola 2008-02-03 10:34:38 EST
Created attachment 293833 [details]
dmesg
Comment 2 Rafael Ávila de Espíndola 2008-02-03 10:35:45 EST
Created attachment 293834 [details]
lsmod
Comment 3 Sergio Morais Lietti 2008-02-05 05:04:10 EST
Created attachment 293987 [details]
scsconfig.log
Comment 4 Sergio Morais Lietti 2008-02-05 05:04:40 EST
Created attachment 293988 [details]
scsrun.log
Comment 5 Sergio Morais Lietti 2008-02-05 05:06:38 EST
Same problem on a Dell Inspiron 1420 with i386 instalaltion. scsconfig.log and
scsrun.log files attached on comments #3 and #4.
Comment 6 Jon Stanley 2008-02-05 08:30:18 EST
Setting this as ALSA and bringing in the Dell folks.
Comment 7 Chuck Ebbert 2008-02-05 18:55:07 EST
Did this work with an older Fedora 8 kernel?
Comment 8 Chuck Ebbert 2008-02-05 20:38:14 EST
Should be fixed in 2.6.23.14-131
Comment 9 Sergio Morais Lietti 2008-02-07 19:51:55 EST
(In reply to comment #7)
> Did this work with an older Fedora 8 kernel?

It is not working for kernels 2.6.23.14-107.fc8 and 2.6.23.14-115.fc8.
Waiting for kernel 2.6.23.14-131 .
Comment 10 Fedora Update System 2008-02-10 22:34:23 EST
kernel-2.6.23.15-137.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-02-11 17:39:10 EST
kernel-2.6.23.15-137.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Sergio Morais Lietti 2008-02-12 07:15:47 EST
(In reply to comment #11)
> kernel-2.6.23.15-137.fc8 has been pushed to the Fedora 8 stable repository. 
If problems still persist, please make note of it in this bug report.

Problem persists in kernel-2.6.23.15-137.fc8. Please find below the log files
scsconfig.log and scsrun.log generated by "Soundcard Detection" application.
Comment 13 Sergio Morais Lietti 2008-02-12 07:17:03 EST
Created attachment 294648 [details]
scsconfig.log
Comment 14 Sergio Morais Lietti 2008-02-12 07:18:13 EST
Created attachment 294649 [details]
scsrun.log
Comment 15 Suffering Without Sound 2008-02-14 23:51:21 EST
On my Inspiron 1420, sound works if I boot into the stock FC8 kernel
(2.6.23.1-42.fc8, 32-bit) with all other yum packages the most recent update. If
I boot into the latest kernel (kernel-2.6.23.15-137.fc8, again 32-bit), sound
*doesn't* work. Yes, I use pulseaudio and all that -- I haven't tweaked any of
the audio config files from the base FC8 configuration. I did notice that when
booted into the old (working) kernel, "Master" shows up and is highlighted in
the "Default Mixer Tracks" section of Gnome's hardware sound config screen. When
in the new (broken) kernel, "Master" does not appear in that list.
Comment 16 Jon Stanley 2008-02-18 01:02:23 EST
*** Bug 432570 has been marked as a duplicate of this bug. ***
Comment 17 Jon Stanley 2008-02-18 01:03:18 EST
more info in here, let's work from here
Comment 18 Chuck Ebbert 2008-02-25 17:34:57 EST
Does the 2.6.24 kernel in the updates-testing repository work?
Comment 19 Sergio Morais Lietti 2008-02-25 18:17:07 EST
(In reply to comment #18)
> Does the 2.6.24 kernel in the updates-testing repository work?

No, it is not working on my laptop with kernel.i686 2.6.24.2-7.fc8. 
Comment 20 Sergio Morais Lietti 2008-02-25 18:18:00 EST
Created attachment 295858 [details]
scsconfig.log with kernel.i686 2.6.24.2-7.fc8
Comment 21 Sergio Morais Lietti 2008-02-25 18:19:02 EST
Created attachment 295859 [details]
scsrun.log with kernel.i686 2.6.24.2-7.fc
Comment 22 Jan Sonnek 2008-03-03 09:14:48 EST
Try as root set rw rights to /dev/snd/* . When I run this command, the sound is
OK: setfacl -m u:USER:rw /dev/snd/*
Comment 23 Sergio Morais Lietti 2008-03-05 06:33:07 EST
(In reply to comment #22)
> Try as root set rw rights to /dev/snd/* . When I run this command, the sound is
> OK: setfacl -m u:USER:rw /dev/snd/*

It did not work for me.
Comment 24 Juan Camilo Prada Ojeda 2008-03-10 16:24:31 EDT
im having the same issues. In previous kernel version (kernel-2.6.23.15-137.fc8)
i managed to get sound working by installing alsa-kmdl and alsa-driver packages
from Atrpm (i know about the risk). In new kernel (2.6.24) the problems persist
and also i managed to make sound work by installing alsa drivers from source,
which makes me think the problem might be on current alsa driver modules for the
kernel
Comment 25 Juan Camilo Prada Ojeda 2008-03-10 22:55:39 EDT
*** Bug 432684 has been marked as a duplicate of this bug. ***
Comment 26 Juan Camilo Prada Ojeda 2008-03-10 23:00:19 EDT
*** Bug 436590 has been marked as a duplicate of this bug. ***
Comment 27 Mario Limonciello 2008-03-10 23:14:44 EDT
Hi folks, coming from the Ubuntu side just fixing a few of these similar bugs
i've got some information:

1) Make sure that your surround mixer isn't muted.  Anything earlier ALSA 1.0.16
+ HG tip 3weeks later has a bug where the speakers are mapped to the surround
mixer.  There is a quirk in HG that fixes that.
2) A variety of quirks were added after 1.0.16 that modify the behavior of these
STAC9XXX codecs, power management and some more.  Look at the revisions from
patch_sigmatel.c on ALSA hg for more information and for the patches to cherry pick.
Comment 28 Sergio Morais Lietti 2008-04-03 14:33:02 EDT
Still no sound on kernel-2.6.24.4-64.fc8.i686 .  
Comment 29 Chuck Ebbert 2008-04-29 15:41:32 EDT
Try editing /etc/modprobe.conf and adding or changing this line so it reads:

  options snd-hda-intel model=dell-3stack

Report back whether that works..
Comment 30 Suffering Without Sound 2008-04-29 22:01:12 EDT
(In reply to comment #29)
> Try editing /etc/modprobe.conf and adding or changing this line so it reads:
> 
>   options snd-hda-intel model=dell-3stack
> 
> Report back whether that works..

(In reply to comment #29)
> Try editing /etc/modprobe.conf and adding or changing this line so it reads:
> 
>   options snd-hda-intel model=dell-3stack
> 
> Report back whether that works..

Adding this line to /etc/modprobe.conf has no observable effect in
kernel-2.6.24.4-64.fc8.i386. Audio appears to be broken in the same manner as
the scenario without this line.
Comment 31 Sergio Morais Lietti 2008-04-29 22:56:23 EDT
(In reply to comment #29)
> Try editing /etc/modprobe.conf and adding or changing this line so it reads:
> 
>   options snd-hda-intel model=dell-3stack
> 
> Report back whether that works..

It did not work for me either.
Comment 32 Suffering Without Sound 2008-05-23 01:07:04 EDT
(In reply to comment #29)
> Try editing /etc/modprobe.conf and adding or changing this line so it reads:
> 
>   options snd-hda-intel model=dell-3stack
> 
> Report back whether that works..

It does not work for 2.6.24.7-92.fc8.i386.
Comment 33 Rafael Ávila de Espíndola 2008-06-01 17:04:01 EDT
Does not work on a new Fedora 9.
Comment 34 Rafael Ávila de Espíndola 2008-06-01 17:15:29 EDT
Upgrading to kernel 2.6.25.3-18 also didn't help.
Comment 35 Patrick Hallinan 2008-06-01 18:15:41 EDT
With this as my modprobe.conf sound works on Fedora 9:

options snd cards_limit=8
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7
options snd-hda-intel model=dell-3stack
Comment 36 Juan Camilo Prada Ojeda 2008-06-01 21:44:41 EDT
(In reply to comment #33)
> Does not work on a new Fedora 9.
> 

in fedora 9 make sure to enable sound on the 'Surround' playback, under System >
Preferences > Hardware > Volume Control.. go to the Edit > Preferences and
enable Surround, then make sure its output is not muted
Comment 37 Suffering Without Sound 2008-06-27 20:57:19 EDT
(In reply to comment #36)
> in fedora 9 make sure to enable sound on the 'Surround' playback, under System >
> Preferences > Hardware > Volume Control.. go to the Edit > Preferences and
> enable Surround, then make sure its output is not muted

When doing this surround channel unmuting, sound now *works* for
kernel-2.6.25.6-27.fc8.i386. Thanks!
Comment 38 Rafael Ávila de Espíndola 2009-01-01 08:31:52 EST
Things a much better with Fedora 10. With kernel 2.6.27.9-159.fc10.x86_64 the internal speakers work out of the box. Unfortunately, the headphones still don't work.
Comment 39 Bug Zapper 2009-11-18 03:12:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 40 Bug Zapper 2009-12-18 01:03:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.